exercises/quality/config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  root 'home#index'
  # BEGIN
  resources :bulletins, only: %i[index show]
  # END
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

exercises/quality/app/models/application_record.rb
# frozen_string_literal: true

class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

exercises/quality/app/models/bulletin.rb
# frozen_string_literal: true

class Bulletin < ApplicationRecord
end

exercises/quality/app/controllers/application_controller.rb
# frozen_string_literal: true

class ApplicationController < ActionController::Base
end

exercises/quality/app/controllers/bulletins_controller.rb
# frozen_string_literal: true

class BulletinsController < ApplicationController
  # BEGIN
  def index
    @bulletins = Bulletin.all
  end
  def show
    @bulletin = Bulletin.find(params[:id])
  end

  # END
end

exercises/quality/app/controllers/home_controller.rb
# frozen_string_literal: true

class HomeController < ApplicationController
  def index; end
end

exercises/quality/app/helpers/application_helper.rb
# frozen_string_literal: true

module ApplicationHelper
end

exercises/quality/app/helpers/bulletins_helper.rb
# frozen_string_literal: true

module BulletinsHelper
end

exercises/quality/app/views/bulletins/_bulletin.html.erb
<li>
  <%= link_to bulletin.title, bulletin %>
</li>

exercises/quality/app/views/bulletins/index.html.erb
<h1>Bulletins</h1>
<%# BEGIN %>
<% @bulletins.each do |bulletin| %>
  <h2><%= link_to bulletin.title, bulletin_path(bulletin) %></h2>
<% end %>
<%# END %>

exercises/quality/app/views/bulletins/show.html.erb
<%# BEGIN %>
<h3><%= @bulletin.title %></h3>
<p><%= @bulletin.body %></p>
<%# END %>

exercises/quality/app/views/home/index.html.erb
<h1>Home#index</h1>